if [ `cat /usr/share/untangle/lib/untangle-libuvm-api/VERSION` != '17.0.0' ] ; then 
   echo "This patch can only be run on 17.0.0" ;
   exit 1
fi
patch_fs()
{
   /etc/init.d/untangle-vm stop
   openssl enc -d -a | tar -C / -zxf -
   /bin/sync-settings
   /etc/init.d/untangle-vm start
   echo "Patch Applied."
}
cat <<ENCODED_PATCH | patch_fs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ENCODED_PATCH
